export class Name {
  constructor(value) {
    this.value = value
  }
}

export class Label {
  constructor(value) {
    this.value = value
  }
}

export class SelectedGraph {
  constructor(identifier) {
    this.identifier = identifier
  }
}

class GraphObject {
  constructor(name, label, properties = []) {
    this.name = name
    this.label = label
    this.properties = properties
  }
}

export class Node extends GraphObject {
  constructor(name, label, properties) {
    super(name, label, properties)
  }
}

export class Edge extends GraphObject {
  constructor(name, label, properties) {
    super(name, label, properties)
  }
}

export class ReturnValues extends Array {
  constructor(...args) {
    super(...args)
  }
}

export class KeyValuePair {
  constructor(key, value) {
    this.key = key
    this.value = value
  }
}

export class Literal {
  constructor(value) {
    this.value = value
  }
}

export class Identifier {
  constructor(value) {
    this.value = value
  }
}

export class Alias {
  constructor(value, alias) {
    this.value = value
    this.alias = alias
  }
}

export class ObjectPath {
  constructor(value, ...path) {
    this.value = value
    this.path = path
  }
}
